import { IdType } from 'imng-nrsrx-client-utils';
export interface ODataResult<T extends {
    id?: IdType;
} | unknown> {
    value: T[];
    count?: number;
    '@odata.count'?: number;
}
export declare function createEmptyODataResult<T extends {
    id?: IdType;
} | unknown>(): ODataResult<T>;
export declare function isODataResult<T extends {
    id?: IdType;
} | unknown>(source: unknown): source is ODataResult<T>;
